# Microsoft.Samples.DirectX.UtilityToolkit.Control Class Reference

Base class for all controls. More...

Inherited by Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, and Microsoft.Samples.DirectX.UtilityToolkit.StaticText.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Control:

[legend]

List of all members.

## Public Member Functions
virtual void | OnInitialize ()
| Initialize the control.
virtual void | Render (Device device, float elapsedTime)
| Render the control.
virtual bool | MsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Message Handler.
virtual bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard data.
virtual bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle the mouse data.
virtual void | OnFocusIn ()
| Called when control gets focus.
virtual void | OnFocusOut ()
| Called when control loses focus.
virtual void | OnMouseEnter ()
| Called when mouse goes over the control.
virtual void | OnMouseExit ()
| Called when mouse leaves the control.
virtual void | OnHotKey ()
| Called when the control's hotkey is hit.
virtual bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain this point.
virtual void | SetLocation (int x, int y)
| Called to set control's location.
virtual void | SetSize (int w, int h)
| Called to set control's size.
virtual void | Refresh ()
| Refreshes the control.
virtual void | OnInitialize ()
| Initialize the control.
virtual void | Render (Device device, float elapsedTime)
| Render the control.
virtual bool | MsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Message Handler.
virtual bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard data.
virtual bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle the mouse data.
virtual void | OnFocusIn ()
| Called when control gets focus.
virtual void | OnFocusOut ()
| Called when control loses focus.
virtual void | OnMouseEnter ()
| Called when mouse goes over the control.
virtual void | OnMouseExit ()
| Called when mouse leaves the control.
virtual void | OnHotKey ()
| Called when the control's hotkey is hit.
virtual bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain this point.
virtual void | SetLocation (int x, int y)
| Called to set control's location.
virtual void | SetSize (int w, int h)
| Called to set control's size.
virtual void | Refresh ()
| Refreshes the control.
virtual void | OnInitialize ()
| Initialize the control.
virtual void | Render (Device device, float elapsedTime)
| Render the control.
virtual bool | MsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Message Handler.
virtual bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard data.
virtual bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle the mouse data.
virtual void | OnFocusIn ()
| Called when control gets focus.
virtual void | OnFocusOut ()
| Called when control loses focus.
virtual void | OnMouseEnter ()
| Called when mouse goes over the control.
virtual void | OnMouseExit ()
| Called when mouse leaves the control.
virtual void | OnHotKey ()
| Called when the control's hotkey is hit.
virtual bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain this point.
virtual void | SetLocation (int x, int y)
| Called to set control's location.
virtual void | SetSize (int w, int h)
| Called to set control's size.
virtual void | Refresh ()
| Refreshes the control.
## Public Attributes
uint | index
bool | isDefault
## Protected Member Functions
| Control (Dialog parent)
| Create a new instance of a control.
virtual void | UpdateRectangles ()
| Updates the rectangles.
| Control (Dialog parent)
| Create a new instance of a control.
virtual void | UpdateRectangles ()
| Updates the rectangles.
| Control (Dialog parent)
| Create a new instance of a control.
virtual void | UpdateRectangles ()
| Updates the rectangles.
## Protected Attributes
Dialog | parentDialog
object | localUserData
bool | visible
bool | isMouseOver
bool | hasFocus
int | controlId
ControlType | controlType
System.Windows.Forms.Keys | hotKey
bool | enabled
System.Drawing.Rectangle | boundingBox
int | controlX
int | controlY
int | width
int | height
ArrayList | elementList = new ArrayList()
## Properties
object | UserData`[get, set]`
| User specified data.
Dialog | Parent`[get]`
| The parent dialog of this control.
virtual bool | CanHaveFocus`[get]`
| Can the control have focus.
virtual bool | IsEnabled`[get, set]`
| Is the control enabled.
virtual bool | IsVisible`[get, set]`
| Is the control visible.
virtual ControlType | ControlType`[get]`
| Type of the control.
virtual int | ID`[get, set]`
| Unique ID of the control.
virtual System.Windows.Forms.Keys | Hotkey`[get, set]`
| The controls hotkey.
Element | this [uint index]`[get, set]`
| Index for the elements this control has access to.

## Detailed Description

Base class for all controls.

Definition at line 1825 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.Control.Control | ( | Dialog | parent | ) | `[protected]`

Create a new instance of a control.

Definition at line 1916 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Control.Control | ( | Dialog | parent | ) | `[protected]`

Create a new instance of a control.

Definition at line 1916 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Control.Control | ( | Dialog | parent | ) | `[protected]`

Create a new instance of a control.

Definition at line 1916 of file wdxmutgui.cs.

## Member Function Documentation

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain this point.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, and Microsoft.Samples.DirectX.UtilityToolkit.Slider.

Definition at line 1876 of file wdxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain this point.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, and Microsoft.Samples.DirectX.UtilityToolkit.Slider.

Definition at line 1876 of file dxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain this point.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, and Microsoft.Samples.DirectX.UtilityToolkit.Slider.

Definition at line 1876 of file dxmutgui.cs.

Here is the caller graph for this function:

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard data.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1855 of file wdxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard data.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1855 of file dxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard data.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1855 of file dxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the mouse data.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1857 of file wdxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the mouse data.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1857 of file dxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the mouse data.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1857 of file dxmutgui.cs.

Here is the caller graph for this function:

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.MsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Message Handler.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1853 of file wdxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.MsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Message Handler.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1853 of file dxmutgui.cs.

virtual bool Microsoft.Samples.DirectX.UtilityToolkit.Control.MsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Message Handler.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1853 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnFocusIn | ( |  | ) | `[virtual]`

Called when control gets focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1866 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnFocusIn | ( |  | ) | `[virtual]`

Called when control gets focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1866 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnFocusIn | ( |  | ) | `[virtual]`

Called when control gets focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1866 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnFocusOut | ( |  | ) | `[virtual]`

Called when control loses focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1868 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnFocusOut | ( |  | ) | `[virtual]`

Called when control loses focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1868 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnFocusOut | ( |  | ) | `[virtual]`

Called when control loses focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1868 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnHotKey | ( |  | ) | `[virtual]`

Called when the control's hotkey is hit.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1874 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnHotKey | ( |  | ) | `[virtual]`

Called when the control's hotkey is hit.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1874 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnHotKey | ( |  | ) | `[virtual]`

Called when the control's hotkey is hit.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1874 of file dxmutgui.cs.

Here is the caller graph for this function:

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnInitialize | ( |  | ) | `[virtual]`

Initialize the control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1849 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnInitialize | ( |  | ) | `[virtual]`

Initialize the control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1849 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnInitialize | ( |  | ) | `[virtual]`

Initialize the control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1849 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnMouseEnter | ( |  | ) | `[virtual]`

Called when mouse goes over the control.

Definition at line 1870 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnMouseEnter | ( |  | ) | `[virtual]`

Called when mouse goes over the control.

Definition at line 1870 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnMouseEnter | ( |  | ) | `[virtual]`

Called when mouse goes over the control.

Definition at line 1870 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnMouseExit | ( |  | ) | `[virtual]`

Called when mouse leaves the control.

Definition at line 1872 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnMouseExit | ( |  | ) | `[virtual]`

Called when mouse leaves the control.

Definition at line 1872 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.OnMouseExit | ( |  | ) | `[virtual]`

Called when mouse leaves the control.

Definition at line 1872 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.Refresh | ( |  | ) | `[virtual]`

Refreshes the control.

Definition at line 1935 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.Refresh | ( |  | ) | `[virtual]`

Refreshes the control.

Definition at line 1935 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.Refresh | ( |  | ) | `[virtual]`

Refreshes the control.

Definition at line 1935 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1851 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1851 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.StaticText, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1851 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.SetLocation | ( | int | x,
|  | int | y |
| ) |  |  | `[virtual]`

Called to set control's location.

Definition at line 1886 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.SetLocation | ( | int | x,
|  | int | y |
| ) |  |  | `[virtual]`

Called to set control's location.

Definition at line 1886 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.SetLocation | ( | int | x,
|  | int | y |
| ) |  |  | `[virtual]`

Called to set control's location.

Definition at line 1886 of file dxmutgui.cs.

Here is the caller graph for this function:

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.SetSize | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Called to set control's size.

Definition at line 1888 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.SetSize | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Called to set control's size.

Definition at line 1888 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.SetSize | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Called to set control's size.

Definition at line 1888 of file dxmutgui.cs.

Here is the caller graph for this function:

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Updates the rectangles.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1948 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Updates the rectangles.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1948 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Control.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Updates the rectangles.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, Microsoft.Samples.DirectX.UtilityToolkit.EditBox, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ScrollBar, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1948 of file dxmutgui.cs.

## Member Data Documentation

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Control::boundingBox`[protected]`

Definition at line 1841 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Control::controlId`[protected]`

Definition at line 1837 of file dxmutgui.cs.

ControlType Microsoft::Samples::DirectX::UtilityToolkit.Control::controlType`[protected]`

Definition at line 1838 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Control::controlX`[protected]`

Definition at line 1843 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Control::controlY`[protected]`

Definition at line 1843 of file dxmutgui.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.Control::elementList = new ArrayList()`[protected]`

Definition at line 1845 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::enabled`[protected]`

Definition at line 1840 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::hasFocus`[protected]`

Definition at line 1836 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Control::height`[protected]`

Definition at line 1843 of file dxmutgui.cs.

System Windows Forms Keys Microsoft::Samples::DirectX::UtilityToolkit.Control::hotKey`[protected]`

Definition at line 1839 of file dxmutgui.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.Control::index

Definition at line 1829 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::isDefault

Definition at line 1830 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::isMouseOver`[protected]`

Definition at line 1835 of file dxmutgui.cs.

object Microsoft::Samples::DirectX::UtilityToolkit.Control::localUserData`[protected]`

Definition at line 1833 of file dxmutgui.cs.

Dialog Microsoft::Samples::DirectX::UtilityToolkit.Control::parentDialog`[protected]`

Definition at line 1828 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::visible`[protected]`

Definition at line 1834 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Control::width`[protected]`

Definition at line 1843 of file dxmutgui.cs.

## Property Documentation

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::CanHaveFocus`[get]`

Can the control have focus.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Slider, Microsoft.Samples.DirectX.UtilityToolkit.ListBox, and Microsoft.Samples.DirectX.UtilityToolkit.EditBox.

Definition at line 1864 of file dxmutgui.cs.

ControlType Microsoft::Samples::DirectX::UtilityToolkit.Control::ControlType`[get]`

Type of the control.

Definition at line 1882 of file dxmutgui.cs.

System Windows Forms Keys Microsoft::Samples::DirectX::UtilityToolkit.Control::Hotkey`[get, set]`

The controls hotkey.

Definition at line 1890 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Control::ID`[get, set]`

Unique ID of the control.

Definition at line 1884 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::IsEnabled`[get, set]`

Is the control enabled.

Definition at line 1878 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Control::IsVisible`[get, set]`

Is the control visible.

Definition at line 1880 of file dxmutgui.cs.

Dialog Microsoft::Samples::DirectX::UtilityToolkit.Control::Parent`[get]`

The parent dialog of this control.

Definition at line 1862 of file dxmutgui.cs.

Element Microsoft::Samples::DirectX::UtilityToolkit.Control::this`[get, set]`

Index for the elements this control has access to.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, and Microsoft.Samples.DirectX.UtilityToolkit.ListBox.

Definition at line 1896 of file dxmutgui.cs.

object Microsoft::Samples::DirectX::UtilityToolkit.Control::UserData`[get, set]`

User specified data.

Definition at line 1860 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs